# Class: MapEvent

## ol.MapEvent

### Subclasses

- ol.MapBrowserEvent

### Extends

- goog.events.Event
- oli.MapEvent

### Members

#### nullableframeState{olx.FrameState} experimental

  The frame state at the time of the event.

#### map{ol.Map} experimental

  The map where the event occurred.

### Events

#### moveend experimental

src/ol/mapevent.js, line 17

  Triggered after the map is moved.

#### postrender experimental

src/ol/mapevent.js, line 11

  Triggered after a map frame is rendered.